Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1337820 - URI details missing and OCSP-URI details are incorrectly displayed when certificate generated using IPA on RHEL 7.2up2.
Summary: URI details missing and OCSP-URI details are incorrectly displayed when certi...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: ipa
Version: 7.2
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: rc
: ---
Assignee: IPA Maintainers
QA Contact: Kaleem
URL:
Whiteboard:
Depends On: 1327092
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-20 07:15 UTC by Marcel Kolaja
Modified: 2016-06-23 16:31 UTC (History)
8 users (show)

Fixed In Version: ipa-4.2.0-15.el7_2.16
Doc Type: Bug Fix
Doc Text:
Previously, the caIPAserviceCert profile was replaced with an incorrect version during replica installation. The profile import procedure, which is executed during every replica installation, has been modified to never replace existing profiles. Now, replica installation no longer replaces caIPAserviceCert with an incorrect version of the certificate profile.
Clone Of: 1327092
Environment:
Last Closed: 2016-06-23 16:31:59 UTC
Target Upstream Version:


Attachments (Terms of Use)
Verification Steps-Console output log (10.39 KB, text/plain)
2016-06-01 10:31 UTC, Nikhil Dehadrai
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:1256 0 normal SHIPPED_LIVE ipa bug fix update 2016-06-23 20:15:52 UTC

Description Marcel Kolaja 2016-05-20 07:15:00 UTC
This bug has been copied from bug #1327092 and has been proposed
to be backported to 7.2 z-stream (EUS).

Comment 4 Nikhil Dehadrai 2016-06-01 10:30:11 UTC
IPA Server version: ipa-server-4.2.0-15.el7_2.17.x86_64 (7.2 update5)
PKI version: 
pki-ca-10.2.5-10.el7_2.noarch
pki-tools-10.2.5-10.el7_2.x86_64
pki-server-10.2.5-10.el7_2.noarch
pki-kra-10.2.5-10.el7_2.noarch
pki-base-10.2.5-10.el7_2.noarch

Tested the bug on the basis of following observations:
1. Verified that when, the script mentioned inside the parent bug bz#1327092 is run on the RHEL server 7.2 update 5 configured with IPA-server, the OCSP and URI details are correctly found.
2. Refer the attachment for console output.
3. Also successfully verified, the test case PASSED during upgrade path 7.2GA to 7.2up5 and upgrade path 7.2up4 to 7.2up5.

Thus on the basis of above points, marking the the status of bug to "VERIFIED".

Comment 5 Nikhil Dehadrai 2016-06-01 10:31:47 UTC
Created attachment 1163574 [details]
Verification Steps-Console output log

Verification Steps-Console output log

Comment 7 Fraser Tweedale 2016-06-07 00:45:38 UTC
Added CCFR doc text.

Comment 11 errata-xmlrpc 2016-06-23 16:31:59 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2016:1256


Note You need to log in before you can comment on or make changes to this bug.